package wekan.wrapper.entity;

import com.google.gson.annotations.SerializedName;

import java.util.Date;

public class Comment {
    @SerializedName("_id")
    private String id;
    private String comment;
    private String authorId;
    private String boardId;
    private String cardId;
    private Date createdAt;
    private Date modifiedAt;

    public String getId() {
        return id;
    }

    public String getComment() {
        return comment;
    }

    public String getAuthorId() {
        return authorId;
    }

    @Override
    public String toString() {
        return "Comment{" +
                "id='" + id + '\'' +
                ", comment='" + comment + '\'' +
                ", authorId='" + authorId + '\'' +
                ", boardId='" + boardId + '\'' +
                ", cardId='" + cardId + '\'' +
                ", createdAt=" + createdAt +
                ", modifiedAt=" + modifiedAt +
                '}';
    }
}
